Page MenuHomePhabricator

[RISCV] Add lowering for llvm.roundeven
ClosedPublic

Authored by eopXD on Sep 27 2022, 8:15 PM.

Diff Detail

Event Timeline

eopXD created this revision.Sep 27 2022, 8:15 PM
eopXD requested review of this revision.Sep 27 2022, 8:15 PM

Fixed vector tests?

eopXD updated this revision to Diff 463470.Sep 28 2022, 2:41 AM

Add fixed-vector test case.

eopXD updated this revision to Diff 463483.Sep 28 2022, 3:06 AM

Update comment in test case.

Fixed-vector tests should be in fixed-vectors-round-vp.ll

eopXD added a comment.Sep 28 2022, 3:11 AM

This patch is for llvm.roundeven, llvm.vp.roundeven was covered in D134759.

This patch is for llvm.roundeven, llvm.vp.roundeven was covered in D134759.

Sorry, I meant fixed-vectors-roundeven.ll :)

eopXD updated this revision to Diff 463486.Sep 28 2022, 3:22 AM

Follow current convention and sort test cases correctly.

This revision is now accepted and ready to land.Sep 28 2022, 9:43 AM
eopXD updated this revision to Diff 463593.Sep 28 2022, 9:47 AM

Update test case llvm/test/Analysis/CostModel/RISCV/fround.ll.

eopXD updated this revision to Diff 463653.Sep 28 2022, 12:43 PM

Update test case for debug log.

eopXD updated this revision to Diff 463800.Sep 29 2022, 2:05 AM

I accidentally updated this revision with another one.
Recovering it.

This revision was landed with ongoing or failed builds.Sep 29 2022, 6:08 AM
This revision was automatically updated to reflect the committed changes.